GameClassPanel=Ext.extend(EasyJF.Ext.CrudPanel,{
    id:"gameClassPanel",
    title:"GameClass管理",
    baseUrl:"gameClass.php",
    entityIdName:"id",
    createForm:function(){
        var formPanel=new Ext.form.FormPanel({
            frame:true,
            labelWidth:70,
            labelAlign:'right',
            defaultType:'textfield',
            defaults:{
                anchor:"-20"
            },
            items:[{
                xtype:"hidden",
                name:this.entityIdName
                },

                {
                xtype:"hidden",
                fieldLabel:'fid',
                name:'fid'
            },
            {
                fieldLabel:'游戏名称',
                name:'name'
            },{
                xtype:'textarea',
                width:300,
                height:250,
                fieldLabel:'游戏简介',
                name : 'jianjie'
		}
            ]
        });

        return formPanel;
    },
    createWin:function(){
        return this.initWin(438,300,"GameClass管理");
    },
    storeMapping:["id","fid","name","jianjie"],
    initComponent : function(){
        this.cm=new Ext.grid.ColumnModel([
        new Ext.grid.RowNumberer(),
        {
            header: "游戏名称",
            sortable:true,
            width: 300,
            dataIndex:"name"
        },
        {
            header: "游戏简介",
            sortable:true,
            width: 300,
            dataIndex:"jianjie"
        }
        ]);
        GameClassPanel.superclass.initComponent.call(this);
    }
});